petsc-3.7.7 2017-09-25
Report Typos and Errors

# TaoDrawGradientMonitor

Plots the gradient at each iteration It can be turned on from the command line using the -tao_draw_gradient option

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoDrawGradientMonitor(Tao tao, void *ctx)

Collective on Tao

### Input Parameters

| tao | - the Tao context
| ctx | - PetscViewer context

### Options Database Keys

-tao_draw_gradient -

### See Also

TaoGradientMonitor(), TaoSetMonitor(), TaoDrawSolutionMonitor

Level:advanced
Location:src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages